<template>
  <div>
    <div v-if="studentSurveyResult">
      <el-row>
        <el-col :span="3"><strong>{{ $t('RESULT.STD_ANSW') }}</strong></el-col>
        <el-col :span="7">{{ $t('RESULT.TOTAL') }} {{ studentSurveyResult.numberOfStudent }} {{ $t('RESULT.ITEM') }}</el-col>
        <el-button v-if="resultType === '실시간'" style="float:right" type="primary" size="small" icon="el-icon-refresh" @click="refresh()">{{ $t('RESULT.REFRESH') }}</el-button>
      </el-row>
      <br />
      <el-table v-show="studentSurveyResult.type === '서술'"
                :data="studentSurveyResult.answers"
                :header-cell-style="changeHead">
                <!-- height="500"> -->
        <el-table-column
          :label="$t('RESULT.STD_ID')"
          align="center"
          width="250px">
          <template slot-scope="scope">
            <p>***</p>
          </template>
        </el-table-column>
        <el-table-column
          prop="answer"
          :label="$t('RESULT.ANSWER')"
          align="center">
        </el-table-column>
      </el-table>
      <el-row>
        <el-col :span="12">
          <el-table v-show="studentSurveyResult.type === '객관'"
                    :data="studentSurveyResult.answers"
                    :header-cell-style="changeHead">
            <el-table-column
              prop="choice"
              :label="$t('QUESTION.CHOICE')"
              align="center">
            </el-table-column>
            <el-table-column
              prop="number"
              :label="$t('RESULT.STD_SLCTED_NUM')"
              align="center">
            </el-table-column>
          </el-table>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<style lang="scss" scoped>
  .choices {
    padding-right: 25px;
    .index {
      color: #888888;
    }
  }
  .el-row {
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
  }
</style>


<script>
  import { mapActions, mapState, mapGetters } from 'vuex';

  export default {
    name: 'LectureSurveyResult',
    props: ['classId', 'lectureId', 'itemId', 'resultType'],
    data() {
      return {
        activeTab: 'survey',
        studentSurveyResult: undefined,
        onStudentCount: undefined,
      };
    },
    computed: {
      ...mapState('grading', [
        'theResult',
        'surveyResult',
      ]),
      ...mapGetters('NNclass', [
        'currentTeachingClass',
      ]),
      ...mapGetters('class', [
        'numberOfStudentInClass',
      ]),
    },
    async created() {
      const vm = this;
      await vm.getClassTotalResult({
        classId: vm.classId,
      });
      vm.getSurveyResult({
        itemId: vm.itemId,
      });
      vm.studentSurveyResult = vm.surveyResult;
    },
    methods: {
      ...mapActions('grading', [
        'getClassTotalResult',
        'getSurveyResult',
      ]),
      ...mapActions('NNclass', [
        'putScore',
      ]),
      async refresh() {
        const vm = this;
        await vm.getClassTotalResult({
          classId: vm.classId,
          isStudent: false,
        });
        vm.getSurveyResult({
          itemId: vm.itemId,
        });
        vm.studentSurveyResult = vm.surveyResult;
      },
      changeHead() {
        return { backgroundColor: '#EAEAEA' };
      },
      async scoreSubmit(score, id) { // eslint-disable-line
        const vm = this;
        if (score < 0 || score > vm.questionResult.score) {
          vm.$notify({
            title: vm.$t('NOTIFY.SUCCESS_SAV'),
            message: '',
            type: 'error',
            duration: 2000,
          });
        }
      },
    },
  };
</script>
